;;------------------------------------------------------------------------|
;;                                                                        |
;;                    PROFILO DI UNA LAMIERA GRECATA                      |
;;  Arch. Giuseppe Conte                                     21-1-'93     |
;;                                                                        |
;;------------------------------------------------------------------------|
;;
;;--------------------------- Commento -----------------------------------|
;;                                                                        |
;; Il programma disegna in profilo di una lamiera grecata.                |
;;                                                                        |
;;------------------------------------------------------------------------|

(prompt "Caricamento utility LAMIERA ...")
(defun C:LAMIERA ( / ng lung  px a b c d p cont e1 e2)
   (setvar "CMDECHO" 0)
   (setq lung (getdist "\nLunghezza cm :  ")   ;richiesta parametri utente 
         px   (getpoint "\nPunto iniziale :  ")
   );setq calcoli
   (setq cont 1                    ;contatore
         ng (FIX (/ lung 10))
         a  (polar px 1.04719 4.5)  ; inclinato 60 gradi
         b  (polar a  0.00000 5.0)  ; orizzontale
         c  (polar b -1.04719 4.5)  ; incl. 60 gradi
         d  (polar c  0.00000 5.0)  ; orizzontale 
         ;p  (polar px 0.00000 14.5)
         p  (polar d  0.00000 0)
           );setq calcoli
   (command "PLINEA" px "LA" "0" "" a b c d "")    ;greca lamiera
    (setq e1 (entlast))
        (WHILE (/= cont ng)
               (setq px p
                     a  (polar px 1.04719 4.5)  ; inclinato 60 gradi
                     b  (polar a  0.00000 5.0)  ; orizzontale
                     c  (polar b -1.04719 4.5)  ; incl. 60 gradi
                     d  (polar c  0.00000 5.0)  ; orizzontale 
                     ;p  (polar px 0.00000 14.5)
                     p  (polar d  0.00000 0)
               );
               (command "PLINEA" px a b c d "")   ;edita la polilinea
                (setq e2 (entlast))
              (setq cont (+ 1 cont));incremento contatore
       (command "EDITPL" e2 "U" e1 e2 "" "")
              (setq e1 (entlast))       
        );fine ciclo
   (setvar "CMDECHO" 1)
   (gc) (princ)
);defun
