;;------------------------------------------------------------------------|
;;                                                                        |
;;                    PROFILO ANGOLARE AD L                               |
;;   Conte Giuseppe                                          14-1-'92     |
;;                                                                        |
;;------------------------------------------------------------------------|
;;
;;--------------------------- Commento -----------------------------------|
;;                                                                        |
;; Il programma disegna un profilo angolare ad L di lati e spessori dati. |
;;                                                                        |
;;------------------------------------------------------------------------|

(prompt "Caricamento utility ANGOLARE...")
(defun C:ANGOLO ( / vdist hdist lth px v1 vx v2 h1 hx h2 mx m1 e1 e2 e3)
   (setvar "cmdecho" 0)
   (setq vdist (getdist "\nLunghezza lato verticale:  ")
         hdist (getdist "\nLunghezza lato orizzontale:  ")
   )                                         ;setq calcoli
   (if (not hdist) (setq hdist vdist))       ;default = distanza verticale
   (setq lth (getdist "\nSezione:  ")
         px  (getpoint "\nAngolo inferiore sinistro:  ")
         v1  (polar px 1.5708 vdist)
         vx  (polar px 1.5708 (- vdist lth))
         v2  (polar vx 0.0000 lth)
         h1  (polar px 0.0000 hdist)
         hx  (polar px 0.0000 (- hdist lth))
         h2  (polar hx 1.5708 lth)
         mx  (polar px 1.5708 lth)
         m1  (polar mx 0.0000 lth)
   );setq calcoli
   (command "PLINEA" v1 "LA" "0" "" px h1 "")
   (command "ARCO" v2 "C" vx v1)
   (setq e1 (entlast))
   (command "ARCO" h1 "C" hx h2)
   (setq e2 (entlast))
   (command "PLINEA" h2 m1 v2 "")
   (setq e3 entlast)
   (setvar "FILLETRAD" lth)
   (command "RACCORDO" "PO" m1)
   (setvar "FILLETRAD" 0.0)
   (command "EDITPL" px "U" e1 e2 e3 "")
   (setvar "cmdecho" 1)
   (gc)  (princ)
);defun
(prompt "Comando: angolo")